<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package OLDSTORY
 * @since OLDSTORY 1.0
 */

							do_action( 'oldstory_action_page_content_end_text' );
							
							// Widgets area below the content
							oldstory_create_widgets_area( 'widgets_below_content' );
						
							do_action( 'oldstory_action_page_content_end' );
							?>
						</div>
						<?php
						
						do_action( 'oldstory_action_after_page_content' );

						// Show main sidebar
						get_sidebar();

						do_action( 'oldstory_action_content_wrap_end' );
						?>
					</div>
					<?php

					do_action( 'oldstory_action_after_content_wrap' );

					// Widgets area below the page and related posts below the page
					$oldstory_body_style = oldstory_get_theme_option( 'body_style' );
					$oldstory_widgets_name = oldstory_get_theme_option( 'widgets_below_page' );
					$oldstory_show_widgets = ! oldstory_is_off( $oldstory_widgets_name ) && is_active_sidebar( $oldstory_widgets_name );
					$oldstory_show_related = oldstory_is_single() && oldstory_get_theme_option( 'related_position' ) == 'below_page';
					if ( $oldstory_show_widgets || $oldstory_show_related ) {
						if ( 'fullscreen' != $oldstory_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $oldstory_show_related ) {
							do_action( 'oldstory_action_related_posts' );
						}

						// Widgets area below page content
						if ( $oldstory_show_widgets ) {
							oldstory_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $oldstory_body_style ) {
							?>
							</div>
							<?php
						}
					}
					do_action( 'oldstory_action_page_content_wrap_end' );
					?>
			</div>
			<?php
			do_action( 'oldstory_action_after_page_content_wrap' );

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! oldstory_is_singular( 'post' ) && ! oldstory_is_singular( 'attachment' ) ) || ! in_array ( oldstory_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="oldstory_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'oldstory_action_before_footer' );

				// Footer
				$oldstory_footer_type = oldstory_get_theme_option( 'footer_type' );
				if ( 'custom' == $oldstory_footer_type && ! oldstory_is_layouts_available() ) {
					$oldstory_footer_type = 'default';
				}
				get_template_part( apply_filters( 'oldstory_filter_get_template_part', "templates/footer-" . sanitize_file_name( $oldstory_footer_type ) ) );

				do_action( 'oldstory_action_after_footer' );

			}
			?>

			<?php do_action( 'oldstory_action_page_wrap_end' ); ?>

		</div>

		<?php do_action( 'oldstory_action_after_page_wrap' ); ?>

	</div>

	<?php do_action( 'oldstory_action_after_body' ); ?>

	<?php wp_footer(); ?>

</body>
</html>