<?php
/**
 * The template to display the background video in the header
 *
 * @package OLDSTORY
 * @since OLDSTORY 1.0.14
 */
$oldstory_header_video = oldstory_get_header_video();
$oldstory_embed_video  = '';
if ( ! empty( $oldstory_header_video ) && ! oldstory_is_from_uploads( $oldstory_header_video ) ) {
	if ( oldstory_is_youtube_url( $oldstory_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $oldstory_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php oldstory_show_layout( oldstory_get_embed_video( $oldstory_header_video ) ); ?></div>
		<?php
	}
}
