<div class="front_page_section front_page_section_contacts<?php
	$oldstory_scheme = oldstory_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $oldstory_scheme ) && ! oldstory_is_inherit( $oldstory_scheme ) ) {
		echo ' scheme_' . esc_attr( $oldstory_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( oldstory_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( oldstory_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$oldstory_css      = '';
		$oldstory_bg_image = oldstory_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $oldstory_bg_image ) ) {
			$oldstory_css .= 'background-image: url(' . esc_url( oldstory_get_attachment_url( $oldstory_bg_image ) ) . ');';
		}
		if ( ! empty( $oldstory_css ) ) {
			echo ' style="' . esc_attr( $oldstory_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$oldstory_anchor_icon = oldstory_get_theme_option( 'front_page_contacts_anchor_icon' );
	$oldstory_anchor_text = oldstory_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $oldstory_anchor_icon ) || ! empty( $oldstory_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $oldstory_anchor_icon ) ? ' icon="' . esc_attr( $oldstory_anchor_icon ) . '"' : '' )
									. ( ! empty( $oldstory_anchor_text ) ? ' title="' . esc_attr( $oldstory_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( oldstory_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' oldstory-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$oldstory_css      = '';
			$oldstory_bg_mask  = oldstory_get_theme_option( 'front_page_contacts_bg_mask' );
			$oldstory_bg_color_type = oldstory_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $oldstory_bg_color_type ) {
				$oldstory_bg_color = oldstory_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $oldstory_bg_color_type ) {
				$oldstory_bg_color = oldstory_get_scheme_color( 'bg_color', $oldstory_scheme );
			} else {
				$oldstory_bg_color = '';
			}
			if ( ! empty( $oldstory_bg_color ) && $oldstory_bg_mask > 0 ) {
				$oldstory_css .= 'background-color: ' . esc_attr(
					1 == $oldstory_bg_mask ? $oldstory_bg_color : oldstory_hex2rgba( $oldstory_bg_color, $oldstory_bg_mask )
				) . ';';
			}
			if ( ! empty( $oldstory_css ) ) {
				echo ' style="' . esc_attr( $oldstory_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$oldstory_caption     = oldstory_get_theme_option( 'front_page_contacts_caption' );
			$oldstory_description = oldstory_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $oldstory_caption ) || ! empty( $oldstory_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $oldstory_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $oldstory_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $oldstory_caption, 'oldstory_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $oldstory_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $oldstory_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $oldstory_description ), 'oldstory_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$oldstory_content = oldstory_get_theme_option( 'front_page_contacts_content' );
			$oldstory_layout  = oldstory_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $oldstory_layout && ( ! empty( $oldstory_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $oldstory_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $oldstory_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $oldstory_content, 'oldstory_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $oldstory_layout && ( ! empty( $oldstory_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$oldstory_sc = oldstory_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $oldstory_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $oldstory_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					oldstory_show_layout( do_shortcode( $oldstory_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $oldstory_layout && ( ! empty( $oldstory_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
