<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package OLDSTORY
 * @since OLDSTORY 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$oldstory_copyright_scheme = oldstory_get_theme_option( 'copyright_scheme' );
if ( ! empty( $oldstory_copyright_scheme ) && ! oldstory_is_inherit( $oldstory_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $oldstory_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$oldstory_copyright = oldstory_get_theme_option( 'copyright' );
			if ( ! empty( $oldstory_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$oldstory_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $oldstory_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$oldstory_copyright = oldstory_prepare_macros( $oldstory_copyright );
				// Display copyright
				echo wp_kses( nl2br( $oldstory_copyright ), 'oldstory_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
