<?php
/**
 * The template to display default site footer
 *
 * @package OLDSTORY
 * @since OLDSTORY 1.0.10
 */

$oldstory_footer_id = oldstory_get_custom_footer_id();
$oldstory_footer_meta = get_post_meta( $oldstory_footer_id, 'trx_addons_options', true );
if ( ! empty( $oldstory_footer_meta['margin'] ) ) {
	oldstory_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( oldstory_prepare_css_value( $oldstory_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $oldstory_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $oldstory_footer_id ) ) ); ?>
						<?php
						$oldstory_footer_scheme = oldstory_get_theme_option( 'footer_scheme' );
						if ( ! empty( $oldstory_footer_scheme ) && ! oldstory_is_inherit( $oldstory_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $oldstory_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'oldstory_action_show_layout', $oldstory_footer_id );
	?>
</footer><!-- /.footer_wrap -->
